View Issue Details

IDProjectCategoryView StatusLast Update
0005920mantisbtbugtrackerpublic2010-02-22 14:35
Reporteraaronm32 Assigned Tojreese  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0a3 
Fixed in Version1.2.0 
Summary0005920: Issue History updated for each custom field when submitting a new bug
Description

When you first report a bug, if the project contains custom fields, each custom field that that is filled in shows up as a new change in the Issue History. Even if the custom field is mandatory. When first reporting a bug, the initial values of the custom fields should probably not be recorded in the issue history since they are part of the "New Issue" entry. Only when they get changed after the initial creation should they show up in the issue history.

TagsNo tags attached.

Relationships

child of 0004181 closed Features in Mantis 1.1 release 

Activities

thraxisp

thraxisp

2005-07-12 09:36

reporter   ~0010732

This requires a modification to custom_field_api.php:custom_field_set_value to control logging, and a change in bug_report.php to disable it.

jreese

jreese

2009-10-29 14:57

reporter   ~0023474

Fix committed to 1.2.x and master branches.

Related Changesets

MantisBT: master-1.2.x 4d20ad42

2009-10-29 18:05:37

jreese

Details Diff
Fix 0005920: Don't log custom fields in bug_report

For consistency with other fields in Mantis, when a bug is first
reported, the custom field values should not be stored in the history
logs.
Affected Issues
0005920
mod - core/custom_field_api.php Diff File
mod - bug_report.php Diff File

MantisBT: master 0b6c270b

2009-10-29 18:05:37

jreese

Details Diff
Fix 0005920: Don't log custom fields in bug_report

For consistency with other fields in Mantis, when a bug is first
reported, the custom field values should not be stored in the history
logs.
Affected Issues
0005920
mod - bug_report.php Diff File
mod - core/custom_field_api.php Diff File

MantisBT: master-1.2.x 42b7a5da

2009-10-29 22:23:03

rombert

Details Diff
Issue 0005920: Don't log custom fields in bug_report

Custom field changes are not logged when creating an issue
using the SOAP API.
Affected Issues
0005920
mod - api/soap/mc_issue_api.php Diff File

MantisBT: master 81519348

2009-10-29 22:23:03

rombert

Details Diff
Issue 0005920: Don't log custom fields in bug_report

Custom field changes are not logged when creating an issue
using the SOAP API.
Affected Issues
0005920
mod - api/soap/mc_issue_api.php Diff File

Issue History

Date Modified Username Field Change
2005-07-11 18:03 aaronm32 New Issue
2005-07-12 09:36 thraxisp Note Added: 0010732
2005-07-12 09:36 thraxisp Status new => confirmed
2005-07-12 09:36 thraxisp Relationship added child of 0004181
2009-10-29 11:52 jreese Status confirmed => assigned
2009-10-29 11:52 jreese Assigned To => jreese
2009-10-29 14:57 jreese Note Added: 0023474
2009-10-29 14:57 jreese Status assigned => resolved
2009-10-29 14:57 jreese Fixed in Version => 1.2.2
2009-10-29 14:57 jreese Resolution open => fixed
2009-10-29 15:00 jreese Changeset attached master-1.2.x 4d20ad42 =>
2009-10-29 15:00 jreese Changeset attached master 0b6c270b =>
2009-10-29 18:30 rombert Changeset attached master-1.2.x 42b7a5da =>
2009-10-29 18:30 rombert Changeset attached master 81519348 =>
2010-02-22 14:35 jreese Status resolved => closed